<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />

<link rel="stylesheet" href="styles_de_base.css" type="text/css" media="screen">

<title>Recensement 2007-2008</title>
</head>



<body class="oneColElsCtrHdr">

<?php

//Fichiers contenant les fonctions utilis&eacute;es dans le script.
require("outils/session.php");
require("historique.php");
//V&eacute;rifier si la session est valide.
verifierSession($session_id);


$icon_branche[1] = "mini_aines.jpg";
$icon_branche[2] = "mini_castors.jpg";
$icon_branche[6] = "mini_eclaireurs.jpg";
$icon_branche[7] = "mini_eclaireurs.jpg";
$icon_branche[8] = "mini_eclaireurs.jpg";
$icon_branche[9] = "mini_exploratrices.jpg";
$icon_branche[10] = "mini_groupes.jpg";
$icon_branche[12] = "mini_hirondelles.jpg";
$icon_branche[13] = "mini_intrepides.jpg";
$icon_branche[17] = "mini_louveteaux.jpg";
$icon_branche[19] = "mini_louveteaux.jpg";
$icon_branche[20] = "mini_louveteaux.jpg";
$icon_branche[21] = "mini_pionniers.jpg";
$icon_branche[22] = "mini_pionniers.jpg";
$icon_branche[23] = "mini_pionniers.jpg";
$icon_branche[24] = "mini_pionniers.jpg";
$icon_branche[27] = "mini_aines.jpg";









//va chercher le num&eacute;ro du groupe en utilisant le idsession
$sql = "SELECT num_unite, nom_groupe FROM rec_usagers WHERE idsession='$session_id';";
		$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("<font color=white><br><br><br><br>Erreur 005:<br> Ne peut se connecter au serveur. Fermez le programme et essayez &agrave; nouveau de vous connecter. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a><br>");
		$row_session = mysqli_fetch_row($result);
		$no_groupe = $row_session[0];
		$nom_groupe = $row_session[1];
		((mysqli_free_result($result) || (is_object($result) && (get_class($result) == "mysqli_result"))) ? true : false);
		
//va chercher toute les unit&eacute;s qui sont dans le groupe
$sql_unite = "select ref1unite.numero, ref1unite.nom, rec_unites.code_unite, ref1branche.nom, rec_unites.surnom, ref1secteur.nom, ref1branche.num_branche, rec_unites.recens_web
			from ref1unite, rec_unites, ref1branche, ref1secteur
			where ref1secteur.num_secteur = rec_unites.num_secteur
			  and ref1branche.num_branche = rec_unites.num_branche
			  and rec_unites.actif = 'O'
			  and ref1unite.num_unite = rec_unites.num_unite 
			  and ref1unite.numero != 444 
			  and ref1unite.numero = '$no_groupe'
			  and ref1unite.actif = 'O' ";
		$result_unite = mysqli_query($GLOBALS["___mysqli_ston"], $sql_unite) or die("<font color=white><br><br><br><br>Erreur 006:<br> Ne peut se connecter au serveur. Fermez le programme et essayez &agrave; nouveau de vous connecter. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a><br>");



if (empty($etape))//Si on arrive sur la page, on va chercher les informations
{
	historique("historique.txt","index_groupe.php - menu principal",$session_id);
?>

<!--*******************************PAGE PRINCIPALE********************************-->
<div id="container">

<!--************************************ENTETE************************************--> 
	<div id="header">
    	<img class=image_droite src=images/logo_smm.gif>
    	<h1>RECENSEMENT 2007-2008<br>
        <?php print($no_groupe."<sup>e</sup> ".$nom_groupe); ?>
        </h1>
    </div>
  
<!--*************************************CORP*************************************-->  
  	<div id="mainContent">
    	<h2> Bienvenue </h2>
	    <h3>Bienvenue sur la page de recensement des Scouts du Montr&eacute;al m&eacute;tropolitain. Grâce au menu de navigation ci-dessous vous pourrez effectuer le recensement de votre groupe. </h3>
        
    	
        
        <table border=0 width=100%>
        <tr>
        	<td>
        		<h2>Menu principal</h2>
            </td>
            <td align=right>
        		<font size=2>Envoyer le recensement</font>
            </td>
        </tr>    	
        	<?php
			while ($row_unite = mysqli_fetch_row($result_unite))//boucle pour afficher toute les unit&eacute;s du groupe 
			{
				print("<tr><td>");
				print("<form action=index_unite.php method=post>");
		   		print("<input type=hidden name=session_id value=".$session_id.">");
				print("<input type=hidden name=code_unite value=".$row_unite[2].">");
				print("<img src=images/".$icon_branche[$row_unite[6]]." border=0>");
				print("<input type=submit name=back value=\"".$row_unite[3]." ".$row_unite[4]."\"");
					if ($row_unite[7] == 'O') {	print(" disabled>"); } 
					else { print(">"); }
			    print("</form>");
				
				print("</td><td align=right>");
				print("<form action=index_groupe.php method=post>");
		   		print("<input type=hidden name=session_id value=".$session_id.">");
				print("<input type=hidden name=code_unite value=".$row_unite[2].">");
				print("<img src=images/mini_adjust.jpg border=0>");
					if ($row_unite[7] == 'O') 
					{	
						print("<input type=hidden name=etape value=4>");
						print("<input type=hidden name=nom_branche value=\"".$row_unite[3]."\">");
						print("<input type=hidden name=nom_unite value=\"".$row_unite[4]."\">");
						print("<input type=image alt=entraitement src=images/bouton-en-traitement.jpg border=0>");
					} 
					else
					{
						print("<input type=hidden name=etape value=1>");
						print("<input type=hidden name=nom_branche value=\"".$row_unite[3]."\">");
						print("<input type=hidden name=nom_unite value=\"".$row_unite[4]."\">");
						print("<input type=image alt=envoyer src=images/bouton-envoyer.jpg border=0>");
					}
			    print("</form>");
				
				//print("<li><a href=index_unite.php?session_id=".$session_id."&code_unite=".$row_unite[2]." target=_self>");
				//print("<img src=images/".$icon_branche[$row_unite[6]]." border=0> ".$row_unite[3]." ".$row_unite[4]."</a></li>");
			}
			?>
            
		</table>            
	</div>

	<?php
	if (($no_groupe == 900) and ($nom_groupe == 'admin'))
	{
		print("<a href=transfert.php?session_id=".$session_id.">Menu Transfert</a><br>");
	}
	?>
  
<!--********************************PIED DE PAGE**********************************-->   
	<div id="footer">
	</div>
    
    
    
</div><!-- FIN PAGE PRINCIPALE -->


<?php

}


if ($etape == 1)//SI ON CLIQUE SUR LE BOUTON RECENSEMENT TERMIN&Eacute;
{

historique("historique.txt","index_groupe.php - clique sur le bouton fermer le recensement de code_unite=".$code_unite." ",$session_id);

?>


<!--*******************************PAGE PRINCIPALE********************************-->
<div id="container">
<!--************************************ENTETE************************************--> 
	<div id="header">
    	<img class=image_droite src=images/logo_smm.gif>
    	<h1>RECENSEMENT 2007-2008<br>
        <?php print($no_groupe."<sup>e</sup> ".$nom_groupe); ?>
		</h1>
    </div>
<!--*************************************CORP*************************************-->  
  <div id="mainContent">
      
        <h2>&Ecirc;tes-vous certain que vous avez termin&eacute; votre recensement? Si oui, vos donn&eacute;es seront envoy&eacute;es aux Scouts du Montr&eacute;al m&eacute;tropolitain pour &ecirc;tre valid&eacute;es. L'acc&egrave;s aux modifications de l'unit&eacute; disparaîtra. Soyez certain d'avoir termin&eacute; avant de r&eacute;pondre.</h2>
		 <center>
        <?php
		//BOUTON OUI
		print("<form action=index_groupe.php method=post>");
		print("<input type=hidden name=session_id value=".$session_id.">");
		print("<input type=hidden name=code_unite value=".$code_unite.">");
		print("<input type=hidden name=nom_branche value=\"".$nom_branche."\">");
		print("<input type=hidden name=nom_unite value=\"".$nom_unite."\">");
		print("<input type=hidden name=etape value=2>");
		print("<input type=submit name=back value=\"OUI\">");
		print("</form><br>");
        //print("<a href=modifier_membres.php?session_id=".$session_id."&etape=3&code_unite=".$code_unite."&code_membre=".$code_membre."&code_fonction=".$code_fonction." target=_self>OUI</a>  /");
		
		//BOUTON NON
		print("<form action=index_groupe.php method=post>");
		print("<input type=hidden name=session_id value=".$session_id.">");
		print("<input type=submit name=back value=\"NON\">");
		print("</form><br>");
        //print("<a href=modifier_membres.php?session_id=".$session_id."&code_unite=".$code_unite."&code_membre=".$code_membre." target=_self>  NON</a>");
		?>
        </center> 
        
	</div>
<!--********************************PIED DE PAGE**********************************-->   
	<div id="footer">
	</div>
</div><!-- FIN PAGE PRINCIPALE -->
		

<?php

			
}








if ($etape == 2)//ON REREV&Eacute;RIFIE
{

historique("historique.txt","index_groupe.php - confirme la fermeture du recensement de code_unite=".$code_unite." ",$session_id);

?>


<!--*******************************PAGE PRINCIPALE********************************-->
<div id="container">
<!--************************************ENTETE************************************--> 
	<div id="header">
    	<img class=image_droite src=images/logo_smm.gif>
    	<h1>RECENSEMENT 2007-2008<br>
        <?php print($no_groupe."<sup>e</sup> ".$nom_groupe); ?>
		</h1>
    </div>
<!--*************************************CORP*************************************-->  
  <div id="mainContent">
      	<?php
        print("<h2>Vous ne pourrez plus acc&eacute;der au recensement de votre unit&eacute; puisque le recensement de ".$nom_branche." ".$nom_unite." sera envoy&eacute; en traitement aux Scouts du Montr&eacute;al m&eacute;tropolitain. Est-ce bien ce que vous voulez?</h2><center>");
		 
        
		//BOUTON OUI
		print("<form action=index_groupe.php method=post>");
		print("<input type=hidden name=session_id value=".$session_id.">");
		print("<input type=hidden name=code_unite value=".$code_unite.">");
		print("<input type=hidden name=etape value=3>");
		print("<input type=submit name=back value=\"OUI\">");
		print("</form><br>");
        //print("<a href=modifier_membres.php?session_id=".$session_id."&etape=3&code_unite=".$code_unite."&code_membre=".$code_membre."&code_fonction=".$code_fonction." target=_self>OUI</a>  /");
		
		//BOUTON NON
		print("<form action=index_groupe.php method=post>");
		print("<input type=hidden name=session_id value=".$session_id.">");
		print("<input type=submit name=back value=\"NON\">");
		print("</form><br>");
        //print("<a href=modifier_membres.php?session_id=".$session_id."&code_unite=".$code_unite."&code_membre=".$code_membre." target=_self>  NON</a>");
		?>
        </center> 
        
	</div>
<!--********************************PIED DE PAGE**********************************-->   
	<div id="footer">
	</div>
</div><!-- FIN PAGE PRINCIPALE -->
		

<?php

			
}









if ($etape == 3)//ON D&Eacute;SACTIVE L'UNIT&Eacute;
{

historique("historique.txt","index_groupe.php - fermeture du recensement de code_unite=".$code_unite." ",$session_id);

//va chercher le num&eacute;ro du groupe en utilisant le idsession
	$sql = "UPDATE  rec_unites
			   SET  rec_unites.recens_web = 'O',
			  		rec_unites.mis_a_jour = now()
			  WHERE rec_unites.code_unite = '$code_unite';";
			$result = mysqli_query($GLOBALS["___mysqli_ston"], $sql) or die("<font color=white><br><br><br><br>Erreur 036:<br>Une erreur est survenue lors de l’envoi de vos donn&eacute;es aux Scouts du Montr&eacute;al m&eacute;tropolitain. Cliquez sur le bouton Retour ci-dessous et essayez &agrave; nouveau. Si le probl&egrave;me persiste ou pour plus de renseignements, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208 et informez-nous du code d’erreur signal&eacute;.<br><a href=javascript:history.go(-1)>RETOUR </a>".$sql);





?>


<!--*******************************PAGE PRINCIPALE********************************-->
<div id="container">
<!--************************************ENTETE************************************--> 
	<div id="header">
    	<img class=image_droite src=images/logo_smm.gif>
    	<h1>RECENSEMENT 2007-2008<br>
        <?php print($no_groupe."<sup>e</sup> ".$nom_groupe); ?>
		</h1>
    </div>
<!--*************************************CORP*************************************-->  
  <div id="mainContent">
      
        <h2>Votre recensement &agrave; &eacute;t&eacute; envoy&eacute; aux Scouts du Montr&eacute;al m&eacute;tropolitain et est en cours de traitement. Pour plus de renseignements ou pour modifications, contactez le 514 849-9208. Merci!</h2>
        <?php 
		//BOUTON RETOUR
		print("<form action=index_groupe.php method=post>");
		print("<input type=hidden name=session_id value=".$session_id.">");
		print("<input type=hidden name=code_unite value=".$code_unite.">");
		print("<input type=\"image\" alt=\"bouton retour\" src=\"images/bouton-retour.jpg\" border=0>");
		print("</form>");
		//print("<a href=modifier_membres.php?session_id=".$session_id."&code_unite=".$code_unite."&code_membre=".$code_membre." target=_self><img src=images/bouton-retour.jpg border=0></a>"); ?>
        
	</div>
<!--********************************PIED DE PAGE**********************************-->   
	<div id="footer">
	</div>
</div><!-- FIN PAGE PRINCIPALE -->
		

<?php

			
}













if ($etape == 4)//SI CLIQUE SUR EN TRAITEMENT
{

historique("historique.txt","index_groupe.php - Essais de refermer une unit&eacute; ferm&eacute;, code_unite=".$code_unite." ",$session_id);

?>


<!--*******************************PAGE PRINCIPALE********************************-->
<div id="container">
<!--************************************ENTETE************************************--> 
	<div id="header">
    	<img class=image_droite src=images/logo_smm.gif>
    	<h1>RECENSEMENT 2007-2008<br>
        <?php print($no_groupe."<sup>e</sup> ".$nom_groupe); ?>
		</h1>
    </div>
<!--*************************************CORP*************************************-->  
  <div id="mainContent">
      
        <?php 
        print("<h2>Merci d'avoir compl&eacute;t&eacute; votre recensement pour l'unit&eacute; ".$nom_branche." ".$nom_unite.". Vos donn&eacute;es sont pr&eacute;sentement en traitement. Pour toute question ou information, contactez les Scouts du Montr&eacute;al m&eacute;tropolitain au 514 849-9208</h2>");
        
		//BOUTON RETOUR
		print("<form action=index_groupe.php method=post>");
		print("<input type=hidden name=session_id value=".$session_id.">");
		print("<input type=hidden name=code_unite value=".$code_unite.">");
		print("<input type=\"image\" alt=\"bouton retour\" src=\"images/bouton-retour.jpg\" border=0>");
		print("</form>");
		//print("<a href=modifier_membres.php?session_id=".$session_id."&code_unite=".$code_unite."&code_membre=".$code_membre." target=_self><img src=images/bouton-retour.jpg border=0></a>"); ?>
        
	</div>
<!--********************************PIED DE PAGE**********************************-->   
	<div id="footer">
	</div>
</div><!-- FIN PAGE PRINCIPALE -->
		

<?php

			
}








?>





</body>
</html>
